Attribute VB_Name = "Module1"
Option Explicit
'
' Copyright  1997-1999 Brad Martinez, http://www.mvps.org
'

' Adapted for use with ASP Painter. 2002 David Woodham, http://www.asppainter.com

Dim uu As Integer

Public Enum CBoolean   ' enum members are Long data types
  CFalse = 0
  CTrue = 1
End Enum

Public Const S_OK = 0    ' indicates successful HRESULT


Declare Function CreateStreamOnHGlobal Lib "ole32" _
                              (ByVal hGlobal As Long, _
                              ByVal fDeleteOnRelease As CBoolean, _
                              ppstm As Any) As Long


Declare Function OleLoadPicture Lib "olepro32" _
                              (pStream As Any, _
                              ByVal lSize As Long, _
                              ByVal fRunmode As CBoolean, _
                              riid As GUID, _
                              ppvObj As Any) As Long

Public Type GUID    ' 16 bytes (128 bits)
  dwData1 As Long      ' 4 bytes
  wData2 As Integer     ' 2 bytes
  wData3 As Integer     ' 2 bytes
  abData4(7) As Byte   ' 8 bytes, zero based
End Type

Declare Function CLSIDFromString Lib "ole32" (ByVal lpsz As Any, pclsid As GUID) As Long

Public Const sIID_IPicture = "{7BF80980-BF32-101A-8BBB-00AA00300CAB}"

Public Const GMEM_MOVEABLE = &H2
Declare Function GlobalAlloc Lib "kernel32" (ByVal uFlags As Long, ByVal dwBytes As Long) As Long
Declare Function GlobalLock Lib "kernel32" (ByVal hMem As Long) As Long
Declare Function GlobalUnlock Lib "kernel32" (ByVal hMem As Long) As Long
Declare Function GlobalFree Lib "kernel32" (ByVal hMem As Long) As Long

Declare Sub MoveMemory Lib "kernel32" Alias "RtlMoveMemory" (pDest As Any, pSource As Any, ByVal dwLength As Long)



Public Function PictureFromBits(abPic() As Byte) As IPicture  ' not a StdPicture!!
  Dim nLow As Long
  Dim cbMem  As Long
  Dim hMem  As Long
  Dim lpMem  As Long
  Dim IID_IPicture As GUID
  Dim istm As stdole.IUnknown '  IStream
  Dim ipic As IPicture
  
  ' Get the size of the picture's bits
  On Error GoTo Out
  nLow = LBound(abPic)
  On Error GoTo 0
  cbMem = (UBound(abPic) - nLow) + 1
  
  ' Allocate a global memory object
  hMem = GlobalAlloc(GMEM_MOVEABLE, cbMem)
  If hMem Then
    
    ' Lock the memory object and get a pointer to it.
    lpMem = GlobalLock(hMem)
    If lpMem Then
      
      ' Copy the picture bits to the memory pointer and unlock the handle.
      MoveMemory ByVal lpMem, abPic(nLow), cbMem
      Call GlobalUnlock(hMem)
      
      ' Create an ISteam from the pictures bits (we can explicitly free hMem
      ' below, but we'll have the call do it...)
      If (CreateStreamOnHGlobal(hMem, CTrue, istm) = S_OK) Then
        If (CLSIDFromString(StrPtr(sIID_IPicture), IID_IPicture) = S_OK) Then
          
          ' Create an IPicture from the IStream (the docs say the call does not
          ' AddRef its last param, but it looks like the reference counts are correct..)
          Call OleLoadPicture(ByVal ObjPtr(istm), cbMem, CFalse, IID_IPicture, PictureFromBits)
          
        End If   ' CLSIDFromString
      End If   ' CreateStreamOnHGlobal
    End If   ' lpMem
    
'    Call GlobalFree(hMem)
  End If   ' hMem
      
Out:
End Function

Public Function MakeMap(hwnd As Long, name As String) As StdPicture

Dim ai As Pictures
Dim data As Variant
Dim abFile() As Byte
Dim idc As Long
Dim n As Variant
Dim w, h, w1, h1 As Long
Dim i As Long
Dim path As String
Dim xm, ym As Long
Dim xc, yc As Long


Dim Datacoord(300, 4) As Long
Dim cn(300) As String


On Error Resume Next

cn(1) = "Russia"
cn(2) = "Kazakstan"
cn(3) = "Mongolia"
cn(4) = "China"
cn(5) = "Australia"
cn(6) = "Canada"
cn(7) = "United States"
cn(9) = "Greenland"
cn(10) = "Iceland"
cn(11) = "Ireland"
cn(12) = "United Kingdom"
cn(13) = "France"
cn(14) = "Spain"
cn(15) = "Portugal"
cn(16) = "Algeria"
cn(17) = "Italy"
cn(18) = "Krait"
cn(19) = "Germany"
cn(20) = "Poland"
cn(21) = "Belarus"
cn(22) = "Finland"
cn(23) = "Mexico"
cn(24) = "Cuba"
cn(25) = "Brazil"
cn(26) = "Sweden"
cn(28) = "Norway"
cn(34) = "Japan"
cn(36) = "India"
cn(37) = "Sri Lanka"
cn(38) = "South Africa"
cn(39) = "Morocco"
cn(40) = "Western Sahara"
cn(41) = "Mauritania"
cn(42) = "Senegal"
cn(43) = "Guinea-Bissau"
cn(44) = "Guinea"
cn(45) = "Sierra Leone"
cn(46) = "Liberia"
cn(47) = "Abidjan"
cn(48) = "Ghana"
cn(49) = "Togo"
cn(50) = "Benin"
cn(51) = "Nigeria"
cn(52) = "Cameroon"
cn(53) = "Equatorial Guinea"
cn(54) = "Gabon"
cn(55) = "Congo"
cn(56) = "Zaire"
cn(57) = "Angola"
cn(58) = "Namibia"
cn(59) = "Botswana"
cn(60) = "Zimbabwe"
cn(61) = "Mozambique"
cn(62) = "Madagascar"
cn(63) = "Zambia"
cn(64) = "Tanzania"
cn(65) = "Kenya"
cn(66) = "Somalia"
cn(67) = "Djibouti"
cn(69) = "Ethiopia"
cn(70) = "Sudan"
cn(71) = "Egypt"
cn(72) = "Libya"
cn(73) = "Tunisia"
cn(74) = "Mali"
cn(75) = "Niger"
cn(76) = "Chad"
cn(77) = "Central African Republic"
cn(78) = "Uganda"
cn(79) = "Lesotho"
cn(80) = "Swaziland"
cn(81) = "Malawi"
cn(82) = "Rwanda"
cn(83) = "Burundi"
cn(84) = "Burkina Faso"
cn(85) = "Greece"
cn(87) = "Turkey"
cn(89) = "Syria"
cn(90) = "Lebanon"
cn(91) = "Israel"
cn(92) = "Jordan"
cn(93) = "Iraq"
cn(94) = "Saudi Arabia"
cn(95) = "Yemen"
cn(96) = "Oman"
cn(97) = "United Arab Emirates"
cn(98) = "Qatar"
cn(99) = "Bahrain"
cn(100) = "Kuwait"
cn(101) = "Iran"
cn(102) = "Cyprus"
cn(103) = "Turkmenistan"
cn(104) = "Pakistan"
cn(105) = "Albania"
cn(106) = "Yugoslavia"
cn(108) = "Nepal"
cn(109) = "Bhutan"
cn(110) = "Bangladesh"
cn(111) = "Miena"
cn(112) = "Thailand"
cn(114) = "Laos"
cn(115) = "Vietnam"
cn(116) = "Bulgaria"
cn(117) = "Romania"
cn(118) = "Hungary"
cn(119) = "Czech Republic"
cn(120) = "Slovakia"
cn(121) = "Lithuania"
cn(122) = "Latvia"
cn(123) = "Estonia"
cn(124) = "Afghanistan"
cn(125) = "Ukraine"
cn(126) = "Moldova"
cn(128) = "Cambodia"
cn(129) = "Malaysia"
cn(130) = "Malazia"
cn(131) = "Switzerland"
cn(132) = "Austria"
cn(133) = "Netherlands"
cn(134) = "Belgium"
cn(135) = "Luxembourg"
cn(136) = "Denmark"
cn(137) = "Uzbekistan"
cn(138) = "Kyrgyzstan"
cn(139) = "Tajikistan"
cn(140) = "Georgia"
cn(141) = "Azerbaijan"
cn(142) = "Armenia"
cn(143) = "Jamaica"
cn(144) = "Haiti"
cn(145) = "Dominica"
cn(146) = "Guatemala"
cn(147) = "Belize"
cn(148) = "El Salvador"
cn(149) = "Honduras"
cn(150) = "Nicaragua"
cn(151) = "Costa Rica"
cn(152) = "Panama"
cn(153) = "San Chuan"
cn(154) = "Colombia"
cn(155) = "Venezuela"
cn(156) = "Guyana"
cn(157) = "Suriname"
cn(158) = "French Guiana"
cn(159) = "Ecuador"
cn(160) = "Peru"
cn(161) = "Bolivia"
cn(162) = "Chile"
cn(163) = "Paraguay"
cn(164) = "Argentina"
cn(165) = "Uruguay"
cn(166) = "Antarctica"
cn(167) = "Indonesia"
cn(168) = "New Zealand"
cn(169) = "New Caledonia"
cn(170) = "Vanuatu"
cn(171) = "Fiji"
cn(172) = "Papua New Guinea"
cn(173) = "Solomon Islands"
cn(174) = "Philippines"
cn(175) = "Palau"
cn(176) = "Guam"
cn(177) = "Northern Mariana Islands"
cn(178) = "Micronesia"
cn(179) = "Nauru"
cn(181) = "Kiribati"
cn(182) = "Tuvalu"
cn(184) = "Taiwan"
cn(185) = "Maldives"
cn(186) = "Comoros"
cn(187) = "Mauritius"
cn(188) = "Reunion"
cn(189) = "Seychelles"
cn(190) = "Sao Tome and Principe"
cn(191) = "Kanar Islands"
cn(192) = "Grenada"
cn(193) = "Barbados"
cn(194) = "Saint Vincent and the Grenadines"
cn(195) = "Saint Lucia"
cn(196) = "Martinique"
cn(197) = "Dominican Republic"
cn(198) = "Guadeloupe"
cn(199) = "Antigua and Barbuda"
cn(200) = "Saint Kitts and Nevis"
cn(201) = "Anguilla"
cn(202) = "Verging Island"
cn(203) = "British Virgin Islands"
cn(204) = "The Bahamas"
cn(205) = "Turks and Caicos Islands"
cn(206) = "Cayman Islands"
cn(207) = "Bermuda"
cn(208) = "American Samoa"
cn(209) = "Cook Islands"
cn(210) = "French Polynesia"
cn(211) = "Falkland Islands (Islas Malvinas)"
cn(212) = "Eritrea"
cn(213) = "Korea, North"
cn(214) = "Korea, South"
cn(215) = "Liechtenstein"
cn(216) = "Malta"
cn(217) = "Monaco"
cn(218) = "Singapore"
cn(219) = "Slovenia"
cn(220) = "Tonga"
cn(221) = "Tokelau"
cn(222) = "Andorra"
cn(223) = "Brunei"
cn(225) = "Cape Verde"
cn(226) = "Trinidad and Tobago"
cn(227) = "The Gambia"

idc = 1
For i = 1 To 277
If name = cn(i) Then idc = i
Next


Datacoord(1, 1) = 1548
Datacoord(2, 1) = 1428
Datacoord(3, 1) = 1633
Datacoord(4, 1) = 1670
Datacoord(5, 1) = 1875
Datacoord(6, 1) = 652
Datacoord(7, 1) = 413
Datacoord(9, 1) = 889
Datacoord(10, 1) = 975
Datacoord(11, 1) = 1019
Datacoord(12, 1) = 1048
Datacoord(13, 1) = 1059
Datacoord(14, 1) = 1042
Datacoord(15, 1) = 1019
Datacoord(16, 1) = 1077
Datacoord(17, 1) = 1140
Datacoord(18, 1) = 1147
Datacoord(19, 1) = 1116
Datacoord(20, 1) = 1167
Datacoord(21, 1) = 1210
Datacoord(22, 1) = 1183
Datacoord(23, 1) = 443
Datacoord(24, 1) = 582
Datacoord(25, 1) = 726
Datacoord(26, 1) = 1146
Datacoord(28, 1) = 1136
Datacoord(34, 1) = 1866
Datacoord(36, 1) = 1554
Datacoord(37, 1) = 1565
Datacoord(38, 1) = 1211
Datacoord(39, 1) = 1025
Datacoord(40, 1) = 979
Datacoord(41, 1) = 998
Datacoord(42, 1) = 972
Datacoord(43, 1) = 972
Datacoord(44, 1) = 998
Datacoord(45, 1) = 991
Datacoord(46, 1) = 1008
Datacoord(47, 1) = 1029
Datacoord(48, 1) = 1058
Datacoord(49, 1) = 1069
Datacoord(50, 1) = 1079
Datacoord(51, 1) = 1118
Datacoord(52, 1) = 1146
Datacoord(53, 1) = 1125
Datacoord(54, 1) = 1138
Datacoord(55, 1) = 1155
Datacoord(56, 1) = 1209
Datacoord(57, 1) = 1170
Datacoord(58, 1) = 1169
Datacoord(59, 1) = 1212
Datacoord(60, 1) = 1243
Datacoord(61, 1) = 1280
Datacoord(62, 1) = 1353
Datacoord(63, 1) = 1242
Datacoord(64, 1) = 1281
Datacoord(65, 1) = 1297
Datacoord(66, 1) = 1350
Datacoord(67, 1) = 1327
Datacoord(69, 1) = 1310
Datacoord(70, 1) = 1253
Datacoord(71, 1) = 1257
Datacoord(72, 1) = 1167
Datacoord(73, 1) = 1121
Datacoord(74, 1) = 1037
Datacoord(75, 1) = 1116
Datacoord(76, 1) = 1176
Datacoord(77, 1) = 1189
Datacoord(78, 1) = 1266
Datacoord(79, 1) = 1234
Datacoord(80, 1) = 1254
Datacoord(81, 1) = 1275
Datacoord(82, 1) = 1250
Datacoord(83, 1) = 1250
Datacoord(84, 1) = 1054
Datacoord(85, 1) = 1196
Datacoord(87, 1) = 1257
Datacoord(89, 1) = 1287
Datacoord(90, 1) = 1275
Datacoord(91, 1) = 1271
Datacoord(92, 1) = 1285
Datacoord(93, 1) = 1323
Datacoord(94, 1) = 1333
Datacoord(95, 1) = 1358
Datacoord(96, 1) = 1405
Datacoord(97, 1) = 1395
Datacoord(98, 1) = 1374
Datacoord(99, 1) = 1370
Datacoord(100, 1) = 1348
Datacoord(101, 1) = 1381
Datacoord(102, 1) = 1258
Datacoord(103, 1) = 1403
Datacoord(104, 1) = 1481
Datacoord(105, 1) = 1179
Datacoord(106, 1) = 1180
Datacoord(108, 1) = 1566
Datacoord(109, 1) = 1607
Datacoord(110, 1) = 1612
Datacoord(111, 1) = 1657
Datacoord(112, 1) = 1685
Datacoord(114, 1) = 1701
Datacoord(115, 1) = 1715
Datacoord(116, 1) = 1206
Datacoord(117, 1) = 1205
Datacoord(118, 1) = 1169
Datacoord(119, 1) = 1147
Datacoord(120, 1) = 1170
Datacoord(121, 1) = 1186
Datacoord(122, 1) = 1192
Datacoord(123, 1) = 1195
Datacoord(124, 1) = 1457
Datacoord(125, 1) = 1237
Datacoord(126, 1) = 1221
Datacoord(128, 1) = 1710
Datacoord(129, 1) = 1697
Datacoord(130, 1) = 1776
Datacoord(131, 1) = 1102
Datacoord(132, 1) = 1134
Datacoord(133, 1) = 1093
Datacoord(134, 1) = 1090
Datacoord(135, 1) = 1095
Datacoord(136, 1) = 1112
Datacoord(137, 1) = 1421
Datacoord(138, 1) = 1486
Datacoord(139, 1) = 1474
Datacoord(140, 1) = 1308
Datacoord(141, 1) = 1339
Datacoord(142, 1) = 1324
Datacoord(143, 1) = 591
Datacoord(144, 1) = 617
Datacoord(145, 1) = 635
Datacoord(146, 1) = 509
Datacoord(147, 1) = 521
Datacoord(148, 1) = 518
Datacoord(149, 1) = 532
Datacoord(150, 1) = 540
Datacoord(151, 1) = 544
Datacoord(152, 1) = 569
Datacoord(153, 1) = 658
Datacoord(154, 1) = 612
Datacoord(155, 1) = 652
Datacoord(156, 1) = 699
Datacoord(157, 1) = 717
Datacoord(158, 1) = 733
Datacoord(159, 1) = 576
Datacoord(160, 1) = 602
Datacoord(161, 1) = 668
Datacoord(162, 1) = 662
Datacoord(163, 1) = 712
Datacoord(164, 1) = 692
Datacoord(165, 1) = 736
Datacoord(166, 1) = 1075
Datacoord(167, 1) = 1801
Datacoord(168, 1) = 2036
Datacoord(169, 1) = 2070
Datacoord(170, 1) = 2098
Datacoord(171, 1) = 2158
Datacoord(172, 1) = 1987
Datacoord(173, 1) = 2053
Datacoord(174, 1) = 1824
Datacoord(175, 1) = 1904
Datacoord(176, 1) = 1956
Datacoord(177, 1) = 1959
Datacoord(178, 1) = 2053
Datacoord(179, 1) = 2085
Datacoord(181, 1) = 2138
Datacoord(182, 1) = 2140
Datacoord(184, 1) = 1735
Datacoord(185, 1) = 1520
Datacoord(186, 1) = 1332
Datacoord(187, 1) = 1415
Datacoord(188, 1) = 1402
Datacoord(189, 1) = 1380
Datacoord(190, 1) = 1106
Datacoord(191, 1) = 975
Datacoord(192, 1) = 687
Datacoord(193, 1) = 698
Datacoord(194, 1) = 688
Datacoord(195, 1) = 689
Datacoord(196, 1) = 689
Datacoord(197, 1) = 687
Datacoord(198, 1) = 686
Datacoord(199, 1) = 686
Datacoord(200, 1) = 681
Datacoord(201, 1) = 679
Datacoord(202, 1) = 669
Datacoord(203, 1) = 668
Datacoord(204, 1) = 601
Datacoord(205, 1) = 628
Datacoord(206, 1) = 569
Datacoord(207, 1) = 682
Datacoord(208, 1) = 3
Datacoord(209, 1) = 71
Datacoord(210, 1) = 98
Datacoord(211, 1) = 750
Datacoord(212, 1) = 1305
Datacoord(213, 1) = 1793
Datacoord(214, 1) = 1807
Datacoord(215, 1) = 1121
Datacoord(216, 1) = 1148
Datacoord(217, 1) = 1099
Datacoord(218, 1) = 1710
Datacoord(219, 1) = 1145
Datacoord(220, 1) = 2160
Datacoord(221, 1) = 3
Datacoord(222, 1) = 1072
Datacoord(223, 1) = 1775
Datacoord(225, 1) = 916
Datacoord(226, 1) = 685
Datacoord(227, 1) = 970

'VBD
Datacoord(1, 2) = 126
Datacoord(2, 2) = 211
Datacoord(3, 2) = 215
Datacoord(4, 2) = 289
Datacoord(5, 2) = 724
Datacoord(6, 2) = 113
Datacoord(7, 2) = 208
Datacoord(9, 2) = 55
Datacoord(10, 2) = 98
Datacoord(11, 2) = 175
Datacoord(12, 2) = 170
Datacoord(13, 2) = 207
Datacoord(14, 2) = 264
Datacoord(15, 2) = 270
Datacoord(16, 2) = 349
Datacoord(17, 2) = 248
Datacoord(18, 2) = 283
Datacoord(19, 2) = 185
Datacoord(20, 2) = 185
Datacoord(21, 2) = 172
Datacoord(22, 2) = 96
Datacoord(23, 2) = 379
Datacoord(24, 2) = 394
Datacoord(25, 2) = 616
Datacoord(26, 2) = 115
Datacoord(28, 2) = 74
Datacoord(34, 2) = 271
Datacoord(36, 2) = 379
Datacoord(37, 2) = 495
Datacoord(38, 2) = 746
Datacoord(39, 2) = 324
Datacoord(40, 2) = 376
Datacoord(41, 2) = 406
Datacoord(42, 2) = 448
Datacoord(43, 2) = 464
Datacoord(44, 2) = 475
Datacoord(45, 2) = 487
Datacoord(46, 2) = 502
Datacoord(47, 2) = 493
Datacoord(48, 2) = 496
Datacoord(49, 2) = 483
Datacoord(50, 2) = 476
Datacoord(51, 2) = 481
Datacoord(52, 2) = 495
Datacoord(53, 2) = 532
Datacoord(54, 2) = 554
Datacoord(55, 2) = 555
Datacoord(56, 2) = 577
Datacoord(57, 2) = 625
Datacoord(58, 2) = 699
Datacoord(59, 2) = 705
Datacoord(60, 2) = 680
Datacoord(61, 2) = 666
Datacoord(62, 2) = 680
Datacoord(63, 2) = 638
Datacoord(64, 2) = 593
Datacoord(65, 2) = 543
Datacoord(66, 2) = 499
Datacoord(67, 2) = 465
Datacoord(69, 2) = 485
Datacoord(70, 2) = 460
Datacoord(71, 2) = 350
Datacoord(72, 2) = 356
Datacoord(73, 2) = 307
Datacoord(74, 2) = 436
Datacoord(75, 2) = 429
Datacoord(76, 2) = 438
Datacoord(77, 2) = 502
Datacoord(78, 2) = 536
Datacoord(79, 2) = 756
Datacoord(80, 2) = 734
Datacoord(81, 2) = 638
Datacoord(82, 2) = 561
Datacoord(83, 2) = 569
Datacoord(84, 2) = 460
Datacoord(85, 2) = 272
Datacoord(87, 2) = 272
Datacoord(89, 2) = 304
Datacoord(90, 2) = 308
Datacoord(91, 2) = 324
Datacoord(92, 2) = 325
Datacoord(93, 2) = 317
Datacoord(94, 2) = 379
Datacoord(95, 2) = 436
Datacoord(96, 2) = 403
Datacoord(97, 2) = 378
Datacoord(98, 2) = 369
Datacoord(99, 2) = 364
Datacoord(100, 2) = 341
Datacoord(101, 2) = 316
Datacoord(102, 2) = 301
Datacoord(103, 2) = 272
Datacoord(104, 2) = 332
Datacoord(105, 2) = 258
Datacoord(106, 2) = 239
Datacoord(108, 2) = 347
Datacoord(109, 2) = 354
Datacoord(110, 2) = 381
Datacoord(111, 2) = 410
Datacoord(112, 2) = 453
Datacoord(114, 2) = 419
Datacoord(115, 2) = 428
Datacoord(116, 2) = 246
Datacoord(117, 2) = 227
Datacoord(118, 2) = 212
Datacoord(119, 2) = 197
Datacoord(120, 2) = 206
Datacoord(121, 2) = 160
Datacoord(122, 2) = 151
Datacoord(123, 2) = 139
Datacoord(124, 2) = 306
Datacoord(125, 2) = 208
Datacoord(126, 2) = 219
Datacoord(128, 2) = 458
Datacoord(129, 2) = 519
Datacoord(130, 2) = 522
Datacoord(131, 2) = 224
Datacoord(132, 2) = 214
Datacoord(133, 2) = 179
Datacoord(134, 2) = 194
Datacoord(135, 2) = 203
Datacoord(136, 2) = 157
Datacoord(137, 2) = 254
Datacoord(138, 2) = 257
Datacoord(139, 2) = 275
Datacoord(140, 2) = 247
Datacoord(141, 2) = 265
Datacoord(142, 2) = 267
Datacoord(143, 2) = 419
Datacoord(144, 2) = 414
Datacoord(145, 2) = 411
Datacoord(146, 2) = 437
Datacoord(147, 2) = 426
Datacoord(148, 2) = 451
Datacoord(149, 2) = 445
Datacoord(150, 2) = 457
Datacoord(151, 2) = 477
Datacoord(152, 2) = 488
Datacoord(153, 2) = 419
Datacoord(154, 2) = 513
Datacoord(155, 2) = 496
Datacoord(156, 2) = 514
Datacoord(157, 2) = 521
Datacoord(158, 2) = 526
Datacoord(159, 2) = 559
Datacoord(160, 2) = 605
Datacoord(161, 2) = 666
Datacoord(162, 2) = 831
Datacoord(163, 2) = 713
Datacoord(164, 2) = 814
Datacoord(165, 2) = 778
Datacoord(166, 2) = 1043
Datacoord(167, 2) = 575
Datacoord(168, 2) = 844
Datacoord(169, 2) = 696
Datacoord(170, 2) = 679
Datacoord(171, 2) = 669
Datacoord(172, 2) = 590
Datacoord(173, 2) = 610
Datacoord(174, 2) = 468
Datacoord(175, 2) = 490
Datacoord(176, 2) = 453
Datacoord(177, 2) = 444
Datacoord(178, 2) = 503
Datacoord(179, 2) = 563
Datacoord(181, 2) = 532
Datacoord(182, 2) = 641
Datacoord(184, 2) = 413
Datacoord(185, 2) = 526
Datacoord(186, 2) = 629
Datacoord(187, 2) = 690
Datacoord(188, 2) = 696
Datacoord(189, 2) = 596
Datacoord(190, 2) = 544
Datacoord(191, 2) = 347
Datacoord(192, 2) = 466
Datacoord(193, 2) = 460
Datacoord(194, 2) = 455
Datacoord(195, 2) = 450
Datacoord(196, 2) = 445
Datacoord(197, 2) = 439
Datacoord(198, 2) = 434
Datacoord(199, 2) = 429
Datacoord(200, 2) = 424
Datacoord(201, 2) = 419
Datacoord(202, 2) = 414
Datacoord(203, 2) = 419
Datacoord(204, 2) = 376
Datacoord(205, 2) = 394
Datacoord(206, 2) = 406
Datacoord(207, 2) = 320
Datacoord(208, 2) = 643
Datacoord(209, 2) = 621
Datacoord(210, 2) = 688
Datacoord(211, 2) = 909
Datacoord(212, 2) = 443
Datacoord(213, 2) = 264
Datacoord(214, 2) = 291
Datacoord(215, 2) = 219
Datacoord(216, 2) = 294
Datacoord(217, 2) = 244
Datacoord(218, 2) = 537
Datacoord(219, 2) = 228
Datacoord(220, 2) = 728
Datacoord(221, 2) = 572
Datacoord(222, 2) = 249
Datacoord(223, 2) = 515
Datacoord(225, 2) = 431
Datacoord(226, 2) = 474
Datacoord(227, 2) = 453


Datacoord(1, 3) = 1171
Datacoord(2, 3) = 1319
Datacoord(3, 3) = 1541
Datacoord(4, 3) = 1487
Datacoord(5, 3) = 1740
Datacoord(6, 3) = 368
Datacoord(7, 3) = 94
Datacoord(9, 3) = 776
Datacoord(10, 3) = 955
Datacoord(11, 3) = 1010
Datacoord(12, 3) = 1035
Datacoord(13, 3) = 1039
Datacoord(14, 3) = 1013
Datacoord(15, 3) = 1010
Datacoord(16, 3) = 1012
Datacoord(17, 3) = 1103
Datacoord(18, 3) = 1137
Datacoord(19, 3) = 1097
Datacoord(20, 3) = 1139
Datacoord(21, 3) = 1186
Datacoord(22, 3) = 1158
Datacoord(23, 3) = 373
Datacoord(24, 3) = 553
Datacoord(25, 3) = 607
Datacoord(26, 3) = 1121
Datacoord(28, 3) = 1091
Datacoord(34, 3) = 1833
Datacoord(36, 3) = 1479
Datacoord(37, 3) = 1558
Datacoord(38, 3) = 1163
Datacoord(39, 3) = 988
Datacoord(40, 3) = 961
Datacoord(41, 3) = 961
Datacoord(42, 3) = 957
Datacoord(43, 3) = 964
Datacoord(44, 3) = 972
Datacoord(45, 3) = 983
Datacoord(46, 3) = 993
Datacoord(47, 3) = 1012
Datacoord(48, 3) = 1045
Datacoord(49, 3) = 1063
Datacoord(50, 3) = 1069
Datacoord(51, 3) = 1081
Datacoord(52, 3) = 1118
Datacoord(53, 3) = 1118
Datacoord(54, 3) = 1120
Datacoord(55, 3) = 1134
Datacoord(56, 3) = 1140
Datacoord(57, 3) = 1137
Datacoord(58, 3) = 1136
Datacoord(59, 3) = 1185
Datacoord(60, 3) = 1220
Datacoord(61, 3) = 1250
Datacoord(62, 3) = 1328
Datacoord(63, 3) = 1199
Datacoord(64, 3) = 1247
Datacoord(65, 3) = 1275
Datacoord(66, 3) = 1319
Datacoord(67, 3) = 1323
Datacoord(69, 3) = 1269
Datacoord(70, 3) = 1199
Datacoord(71, 3) = 1212
Datacoord(72, 3) = 1121
Datacoord(73, 3) = 1109
Datacoord(74, 3) = 990
Datacoord(75, 3) = 1066
Datacoord(76, 3) = 1148
Datacoord(77, 3) = 1154
Datacoord(78, 3) = 1248
Datacoord(79, 3) = 1226
Datacoord(80, 3) = 1251
Datacoord(81, 3) = 1266
Datacoord(82, 3) = 1244
Datacoord(83, 3) = 1245
Datacoord(84, 3) = 1030
Datacoord(85, 3) = 1179
Datacoord(87, 3) = 1213
Datacoord(89, 3) = 1274
Datacoord(90, 3) = 1272
Datacoord(91, 3) = 1267
Datacoord(92, 3) = 1273
Datacoord(93, 3) = 1293
Datacoord(94, 3) = 1272
Datacoord(95, 3) = 1327
Datacoord(96, 3) = 1382
Datacoord(97, 3) = 1378
Datacoord(98, 3) = 1372
Datacoord(99, 3) = 1369
Datacoord(100, 3) = 1343
Datacoord(101, 3) = 1318
Datacoord(102, 3) = 1255
Datacoord(103, 3) = 1366
Datacoord(104, 3) = 1430
Datacoord(105, 3) = 1174
Datacoord(106, 3) = 1168
Datacoord(108, 3) = 1544
Datacoord(109, 3) = 1598
Datacoord(110, 3) = 1596
Datacoord(111, 3) = 1626
Datacoord(112, 3) = 1661
Datacoord(114, 3) = 1675
Datacoord(115, 3) = 1685
Datacoord(116, 3) = 1191
Datacoord(117, 3) = 1178
Datacoord(118, 3) = 1154
Datacoord(119, 3) = 1131
Datacoord(120, 3) = 1156
Datacoord(121, 3) = 1172
Datacoord(122, 3) = 1172
Datacoord(123, 3) = 1182
Datacoord(124, 3) = 1420
Datacoord(125, 3) = 1185
Datacoord(126, 3) = 1210
Datacoord(128, 3) = 1695
Datacoord(129, 3) = 1685
Datacoord(130, 3) = 1745
Datacoord(131, 3) = 1100
Datacoord(132, 3) = 1117
Datacoord(133, 3) = 1083
Datacoord(134, 3) = 1078
Datacoord(135, 3) = 1096
Datacoord(136, 3) = 1107
Datacoord(137, 3) = 1376
Datacoord(138, 3) = 1463
Datacoord(139, 3) = 1451
Datacoord(140, 3) = 1285
Datacoord(141, 3) = 1330
Datacoord(142, 3) = 1309
Datacoord(143, 3) = 586
Datacoord(144, 3) = 610
Datacoord(145, 3) = 625
Datacoord(146, 3) = 497
Datacoord(147, 3) = 517
Datacoord(148, 3) = 511
Datacoord(149, 3) = 515
Datacoord(150, 3) = 525
Datacoord(151, 3) = 534
Datacoord(152, 3) = 551
Datacoord(153, 3) = 654
Datacoord(154, 3) = 575
Datacoord(155, 3) = 611
Datacoord(156, 3) = 684
Datacoord(157, 3) = 705
Datacoord(158, 3) = 726
Datacoord(159, 3) = 562
Datacoord(160, 3) = 560
Datacoord(161, 3) = 635
Datacoord(162, 3) = 634
Datacoord(163, 3) = 684
Datacoord(164, 3) = 647
Datacoord(165, 3) = 721
Datacoord(166, 3) = 421
Datacoord(167, 3) = 1655
Datacoord(168, 3) = 1985
Datacoord(169, 3) = 2066
Datacoord(170, 3) = 2098
Datacoord(171, 3) = 2150
Datacoord(172, 3) = 1936
Datacoord(173, 3) = 2034
Datacoord(174, 3) = 1790
Datacoord(175, 3) = 1896
Datacoord(176, 3) = 1955
Datacoord(177, 3) = 1957
Datacoord(178, 3) = 2003
Datacoord(179, 3) = 2085
Datacoord(181, 3) = 2137
Datacoord(182, 3) = 2140
Datacoord(184, 3) = 1729
Datacoord(185, 3) = 1517
Datacoord(186, 3) = 1331
Datacoord(187, 3) = 1414
Datacoord(188, 3) = 1401
Datacoord(189, 3) = 1350
Datacoord(190, 3) = 1105
Datacoord(191, 3) = 964
Datacoord(192, 3) = 683
Datacoord(193, 3) = 697
Datacoord(194, 3) = 687
Datacoord(195, 3) = 688
Datacoord(196, 3) = 688
Datacoord(197, 3) = 687
Datacoord(198, 3) = 685
Datacoord(199, 3) = 685
Datacoord(200, 3) = 681
Datacoord(201, 3) = 679
Datacoord(202, 3) = 668
Datacoord(203, 3) = 667
Datacoord(204, 3) = 589
Datacoord(205, 3) = 626
Datacoord(206, 3) = 567
Datacoord(207, 3) = 681
Datacoord(208, 3) = 2
Datacoord(209, 3) = 70
Datacoord(210, 3) = 88
Datacoord(211, 3) = 742
Datacoord(212, 3) = 1288
Datacoord(213, 3) = 1776
Datacoord(214, 3) = 1797
Datacoord(215, 3) = 1120
Datacoord(216, 3) = 1148
Datacoord(217, 3) = 1098
Datacoord(218, 3) = 1709
Datacoord(219, 3) = 1139
Datacoord(220, 3) = 2160
Datacoord(221, 3) = 3
Datacoord(222, 3) = 1070
Datacoord(223, 3) = 1772
Datacoord(225, 3) = 916
Datacoord(226, 3) = 682
Datacoord(227, 3) = 961


Datacoord(1, 4) = 10
Datacoord(2, 4) = 161
Datacoord(3, 4) = 183
Datacoord(4, 4) = 174
Datacoord(5, 4) = 624
Datacoord(6, 4) = 2
Datacoord(7, 4) = 62
Datacoord(9, 4) = 1
Datacoord(10, 4) = 90
Datacoord(11, 4) = 162
Datacoord(12, 4) = 140
Datacoord(13, 4) = 190
Datacoord(14, 4) = 240
Datacoord(15, 4) = 252
Datacoord(16, 4) = 288
Datacoord(17, 4) = 218
Datacoord(18, 4) = 278
Datacoord(19, 4) = 164
Datacoord(20, 4) = 165
Datacoord(21, 4) = 157
Datacoord(22, 4) = 69
Datacoord(23, 4) = 318
Datacoord(24, 4) = 384
Datacoord(25, 4) = 510
Datacoord(26, 4) = 75
Datacoord(28, 4) = 13
Datacoord(34, 4) = 229
Datacoord(36, 4) = 298
Datacoord(37, 4) = 480
Datacoord(38, 4) = 703
Datacoord(39, 4) = 295
Datacoord(40, 4) = 353
Datacoord(41, 4) = 356
Datacoord(42, 4) = 430
Datacoord(43, 4) = 458
Datacoord(44, 4) = 458
Datacoord(45, 4) = 477
Datacoord(46, 4) = 488
Datacoord(47, 4) = 473
Datacoord(48, 4) = 469
Datacoord(49, 4) = 469
Datacoord(50, 4) = 460
Datacoord(51, 4) = 451
Datacoord(52, 4) = 455
Datacoord(53, 4) = 521
Datacoord(54, 4) = 532
Datacoord(55, 4) = 522
Datacoord(56, 4) = 510
Datacoord(57, 4) = 588
Datacoord(58, 4) = 667
Datacoord(59, 4) = 672
Datacoord(60, 4) = 657
Datacoord(61, 4) = 621
Datacoord(62, 4) = 632
Datacoord(63, 4) = 605
Datacoord(64, 4) = 554
Datacoord(65, 4) = 515
Datacoord(66, 4) = 463
Datacoord(67, 4) = 459
Datacoord(69, 4) = 447
Datacoord(70, 4) = 385
Datacoord(71, 4) = 325
Datacoord(72, 4) = 314
Datacoord(73, 4) = 286
Datacoord(74, 4) = 371
Datacoord(75, 4) = 382
Datacoord(76, 4) = 382
Datacoord(77, 4) = 470
Datacoord(78, 4) = 518
Datacoord(79, 4) = 748
Datacoord(80, 4) = 728
Datacoord(81, 4) = 613
Datacoord(82, 4) = 555
Datacoord(83, 4) = 564
Datacoord(84, 4) = 441
Datacoord(85, 4) = 255
Datacoord(87, 4) = 252
Datacoord(89, 4) = 286
Datacoord(90, 4) = 304
Datacoord(91, 4) = 314
Datacoord(92, 4) = 313
Datacoord(93, 4) = 285
Datacoord(94, 4) = 321
Datacoord(95, 4) = 414
Datacoord(96, 4) = 372
Datacoord(97, 4) = 365
Datacoord(98, 4) = 365
Datacoord(99, 4) = 363
Datacoord(100, 4) = 336
Datacoord(101, 4) = 269
Datacoord(102, 4) = 298
Datacoord(103, 4) = 246
Datacoord(104, 4) = 287
Datacoord(105, 4) = 248
Datacoord(106, 4) = 224
Datacoord(108, 4) = 333
Datacoord(109, 4) = 349
Datacoord(110, 4) = 361
Datacoord(111, 4) = 347
Datacoord(112, 4) = 404
Datacoord(114, 4) = 390
Datacoord(115, 4) = 384
Datacoord(116, 4) = 237
Datacoord(117, 4) = 209
Datacoord(118, 4) = 208
Datacoord(119, 4) = 190
Datacoord(120, 4) = 200
Datacoord(121, 4) = 153
Datacoord(122, 4) = 142
Datacoord(123, 4) = 134
Datacoord(124, 4) = 277
Datacoord(125, 4) = 180
Datacoord(126, 4) = 205
Datacoord(128, 4) = 444
Datacoord(129, 4) = 501
Datacoord(130, 4) = 499
Datacoord(131, 4) = 213
Datacoord(132, 4) = 205
Datacoord(133, 4) = 174
Datacoord(134, 4) = 188
Datacoord(135, 4) = 197
Datacoord(136, 4) = 151
Datacoord(137, 4) = 225
Datacoord(138, 4) = 243
Datacoord(139, 4) = 254
Datacoord(140, 4) = 238
Datacoord(141, 4) = 253
Datacoord(142, 4) = 255
Datacoord(143, 4) = 417
Datacoord(144, 4) = 408
Datacoord(145, 4) = 408
Datacoord(146, 4) = 422
Datacoord(147, 4) = 419
Datacoord(148, 4) = 446
Datacoord(149, 4) = 436
Datacoord(150, 4) = 442
Datacoord(151, 4) = 469
Datacoord(152, 4) = 480
Datacoord(153, 4) = 417
Datacoord(154, 4) = 460
Datacoord(155, 4) = 466
Datacoord(156, 4) = 488
Datacoord(157, 4) = 506
Datacoord(158, 4) = 507
Datacoord(159, 4) = 537
Datacoord(160, 4) = 548
Datacoord(161, 4) = 616
Datacoord(162, 4) = 670
Datacoord(163, 4) = 683
Datacoord(164, 4) = 700
Datacoord(165, 4) = 759
Datacoord(166, 4) = 985
Datacoord(167, 4) = 508
Datacoord(168, 4) = 791
Datacoord(169, 4) = 691
Datacoord(170, 4) = 679
Datacoord(171, 4) = 662
Datacoord(172, 4) = 566
Datacoord(173, 4) = 594
Datacoord(174, 4) = 416
Datacoord(175, 4) = 480
Datacoord(176, 4) = 452
Datacoord(177, 4) = 440
Datacoord(178, 4) = 496
Datacoord(179, 4) = 563
Datacoord(181, 4) = 526
Datacoord(182, 4) = 641
Datacoord(184, 4) = 407
Datacoord(185, 4) = 497
Datacoord(186, 4) = 629
Datacoord(187, 4) = 688
Datacoord(188, 4) = 695
Datacoord(189, 4) = 579
Datacoord(190, 4) = 536
Datacoord(191, 4) = 341
Datacoord(192, 4) = 461
Datacoord(193, 4) = 454
Datacoord(194, 4) = 453
Datacoord(195, 4) = 449
Datacoord(196, 4) = 443
Datacoord(197, 4) = 438
Datacoord(198, 4) = 433
Datacoord(199, 4) = 423
Datacoord(200, 4) = 426
Datacoord(201, 4) = 419
Datacoord(202, 4) = 417
Datacoord(203, 4) = 422
Datacoord(204, 4) = 358
Datacoord(205, 4) = 394
Datacoord(206, 4) = 408
Datacoord(207, 4) = 319
Datacoord(208, 4) = 642
Datacoord(209, 4) = 620
Datacoord(210, 4) = 679
Datacoord(211, 4) = 906
Datacoord(212, 4) = 422
Datacoord(213, 4) = 246
Datacoord(214, 4) = 276
Datacoord(215, 4) = 218
Datacoord(216, 4) = 294
Datacoord(217, 4) = 243
Datacoord(218, 4) = 536
Datacoord(219, 4) = 219
Datacoord(220, 4) = 728
Datacoord(221, 4) = 572
Datacoord(222, 4) = 248
Datacoord(223, 4) = 512
Datacoord(225, 4) = 430
Datacoord(226, 4) = 472
Datacoord(227, 4) = 450


Set ai = CreateObject("ASPPainter.Pictures.1")

If Err.Number <> 0 Then MsgBox "Please, install ASPPainter!" & vbCrLf & Err.Description

path = App.path
ai.LoadFile path & "\Country\world.png"
w1 = ai.Width
h1 = ai.Height
ai.SetImageIndex 1
ai.LoadFile path & "\Country\" & idc & ".png"
xm = Datacoord(idc, 3) / 3
ym = Datacoord(idc, 4) / 3
xc = Datacoord(idc, 1) / 3
yc = Datacoord(idc, 2) / 3


w = ai.Width
h = ai.Height

ai.Copy 0, 1, xm, ym, 0, 0, w, h

ai.SetImageIndex 0
ai.SetColor 255, 0, 0, 255
ai.DrawLine 0, yc, w1, yc
ai.DrawLine xc, 0, xc, h1

ai.SetFormat 3

data = ai.SaveToVariant

n = UBound(data) - LBound(data)

ReDim abFile(n)
For i = LBound(data) To UBound(data)
 abFile(i - LBound(data)) = data(i)
Next

Set MakeMap = PictureFromBits(abFile)

Set data = Nothing
ai.DestroyAll

End Function
